2018-02-18 01:50 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001880openmediavaultBugpublic2018-01-18 10:35
ReporterAlex131089 
Assigned Tovotdev 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
Product VersionErasmus (3.x) 
Target VersionFixed in VersionArrakis (4.x) 
Summary0001880: smbd(_audit) spams syslog with "null passwords option is deprecated" message
DescriptionIt seems smbd (or smbd_audit even if it doesn't seems to be a real daemon) is spamming the syslog with the attached message.

According to https://bugzilla.samba.org/show_bug.cgi?id=10065 this option is deprecated but wasn't documented.
According to https://github.com/samba-team/samba/commit/fed2380ac5051d739ea0f322381f187244a8bc49#diff-4e298dfba6ef143b29a49f592b8ed6baR324 it is deprecated since 2012 at least.

The real issue is that this is spamming the log files
Steps To ReproduceEnable audit on one of the shares maybe ?
Additional Informationroot@omv3:/var/log# zgrep "null passwords" syslog* | wc -l
27235

Jan 16 07:44:03 omv3 smbd_audit: [2018/01/16 07:44:03.848287, 1] ../lib/param/loadparm.c:1638(lpcfg_do_global_parameter)
Jan 16 07:44:03 omv3 smbd_audit: WARNING: The "null passwords" option is deprecated
Jan 16 07:44:03 omv3 smbd_audit: [2018/01/16 07:44:03.851436, 1] ../lib/param/loadparm.c:1638(lpcfg_do_global_parameter)
Jan 16 07:44:03 omv3 smbd_audit: WARNING: The "null passwords" option is deprecated

It was mentionned in https://forum.openmediavault.org/index.php/Thread/17403-Daemon-log-The-null-passwords-option-is-deprecated/
TagsNo tags attached.
Product build3.0.95
Attached Files

-Relationships
+Relationships

-Notes

~0005104

votdev (administrator)

Fixed in openmediavault 4.0.17, see https://github.com/openmediavault/openmediavault/commit/17adef485ac8c3435de6002aef15e7c162ce16f0.
+Notes

-Issue History
Date Modified Username Field Change
2018-01-17 07:35 Alex131089 New Issue
2018-01-17 07:35 Alex131089 Status new => assigned
2018-01-17 07:35 Alex131089 Assigned To => votdev
2018-01-18 10:34 votdev Note Added: 0005104
2018-01-18 10:35 votdev Status assigned => resolved
2018-01-18 10:35 votdev Resolution open => fixed
2018-01-18 10:35 votdev Fixed in Version => Arrakis (4.x)
+Issue History